<Container
  @value={{@value.data.titleContainer}}
  @deviceSize={{@deviceSize}}
  data-name={{@value.name}}
  data-path="{{@path}}.data.titleContainer"
  class="gradient-title {{if @isHidden 'hide'}}"
  {{did-insert this.setupRecord}}
  {{did-update this.setupRecord @record}}
  {{did-insert this.watchSize}}
  ...attributes
>
  <div class="container">
    <View::Article::Title @path="{{@path}}.data.title" @space={{@space}} @model={{@model}} @value={{@value}} @isEditor={{@isEditor}} @disableSource={{true}} />

    {{#if this.team}}
      <TextWithOptions
        @deviceSize={{@deviceSize}}
        @options={{@value.data.team}}
        data-path="{{@path}}.data.team"
        data-name={{@value.name}}
        data-gid={{@value.gid}}
        class="team"
      >
        <Link @to={{this.teamLink}} @space={{@space}}>
          by
          {{this.team.name}}
        </Link>

        {{#unless this.teamLink}}
          by
          {{this.team.name}}
        {{/unless}}
      </TextWithOptions>
    {{/if}}

    {{#if (or @record.license.name @record.license.url)}}
      <div class="license">
        <Browse::License @value={{@record.license}} />
      </div>
    {{/if}}

    {{#if this.meta}}
      <Container
        @value={{@value.data.metaContainer}}
        @deviceSize={{@deviceSize}}
        data-name={{@value.name}}
        data-path="{{@path}}.data.metaContainer"
        class="meta-container d-flex"
      >
        {{#each this.meta as |item|}}
          <TextWithOptions
            @tag="div"
            @deviceSize={{@deviceSize}}
            @options={{@value.data.metaItem}}
            data-path="{{@path}}.data.metaItem"
            data-name={{@value.name}}
            data-gid={{@value.gid}}
          >
            {{t (concat "metrics." item.title) value=item.value}}
          </TextWithOptions>
        {{/each}}
      </Container>
    {{/if}}
  </div>
  <div class="bg"></div>
</Container>